
#include <avr\io.h>	
#include "mcp.h"
#include <avr\interrupt.h>
#include "mcp2515_can.h"


#define F_CPU		4000000

#define LED			3
#define	DDR_CS		DDRB
#define	PORT_CS		PORTB
#define	DDR_SPI		DDRB
#define	PORT_SPI	PORTB
#define	SPI_CS		4
#define	SPI_MISO	6
#define	SPI_MOSI	5
#define	SPI_SCK		7


// Prototypen
void avr_init(void);
void delay(uint16_t ms);


int main(void)
{
	mcp2515_init();

	DDRB	 |= (1<<LED);		// LED-Port auf Ausgang


	avr_init();

		while(1)
		{
			delay(500);
				
			//LED on
			PORTB |= (1<<LED);

			typedef struct
			{
			    uint16_t  id;
			    uint8_t   rtr;
			    uint8_t   length;
			    uint8_t   data[8];
			} CANMessage;

			// Neue Nachricht erzeugen
			CANMessage message;

			// Daten eintragen
			message.id = 0x0123;
			message.rtr = 0;
			message.length = 2;
			message.data[0] = 0x04;
			message.data[1] = 0xf3;

			// Nachricht verschicken
			can_send_message(&message);




			//LED off
			PORTB &= ~(1<<LED);


		}

	return 0;

}


void avr_init(void)
{
	/* Eingang fr Interruptleitung des MCP2515 + Pullup aktivieren */
//	DDRD &= ~(1<<PD3);
//	PORTD |= (1<<PD3);
	
	/* Externen Interrupt 0 aktivieren ( fallende Flanke ) */
//	MCUCR |= (1<<ISC11);
//	GICR |= (1<<INT1);
	
//	sei();
}



